import math
import numpy as np

rho   = 0.5
eta   = math.pi*rho/6.
theta = 25.*math.pi/180.
delta = 0.2

chi = (1.-np.cos(theta))/2.
vb  = 4.*math.pi*chi**2 * ((1.+delta)**3 - 1.) / 3.
gs  = (1.-eta/2.)/(1.-eta)**3

y = lambda beta: 2.*rho*vb*gs*np.exp(beta)

pb = []

for i in range(1000,99,-1):
    t = i/1000.
    b = 1./t
    pb.append([t,(2.*y(b)+1.-np.sqrt(-1.*(-4.*y(b)-1.)))/(2.*y(b))])

pb = pb[::-1]

for i in pb:
    print(i[0],i[1])
